package be.fgov.ehealth.technicalconnector.tests.junit.rule.callbacks;

public class AssertStep {

    private String xmlForAssert;

    private String xmlToReturn;

    private int callNumber = 0; // 0 = ignored

    public AssertStep(String xmlForAssert, String xmlToReturn) {
        this.xmlForAssert = xmlForAssert;
        this.xmlToReturn = xmlToReturn;
    }

    public AssertStep(String xmlForAssert, String xmlToReturn, int callNumber) {
        this.xmlForAssert = xmlForAssert;
        this.xmlToReturn = xmlToReturn;
        this.callNumber = callNumber;
    }

    public String getXmlForAssert() {
        return xmlForAssert;
    }

    public String getXmlToReturn() {
        return xmlToReturn;
    }

    public int getCallNumber() {
        return callNumber;
    }

}
